## ros-message-generation 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(message_generation)

find_package(catkin REQUIRED)

catkin_package(CATKIN_DEPENDS gencpp geneus genlisp genmsg genpy)

=== debian/changelog ===
ros-message-generation (0.3.0-3) unstable; urgency=medium

  * Convert to new catkin with multiarch
  * Rename to ros-message-generation

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 25 Nov 2015 16:16:38 +0100

ros-message-generation (0.3.0-2) unstable; urgency=medium

  * install pkg-config file for rosmake

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 17 Nov 2015 18:03:53 +0100

ros-message-generation (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #804027).

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 15 Nov 2015 00:02:33 +0000

=== debian/control ===
Source: ros-message-generation
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-message-generation.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-message-generation.git
Homepage: http://wiki.ros.org/message_generation

Package: ros-message-generation
Architecture: all
Replaces: message-generation (<< 0.3.0-3)
Breaks: message-generation (<< 0.3.0-3)
Depends: ${misc:Depends}, python-gencpp, python-genlisp, python-genmsg, python-genpy
Description: Generates build-time messaging dependencies for Robot OS packages
 This package is part of Robot OS (ROS). It contains cmake macros to
 generate build-time dependencies for the messages ROS packages use.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

%:
	dh  $@ --parallel

override_dh_auto_install-indep:
	dh_auto_install --destdir=debian/tmp

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

## ros-message-generation 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(message_generation)

find_package(catkin REQUIRED)

catkin_package(CATKIN_DEPENDS gencpp geneus gennodejs genlisp genmsg genpy)

=== debian/changelog ===
ros-message-generation (0.4.0-4) unstable; urgency=medium

  * Drop Python 2 packages
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * simplify d/watch
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:50:51 +0200

ros-message-generation (0.4.0-3) unstable; urgency=medium

  * Add Python 3 packages
  * Bump policy version (no changes)
  * simplify d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 16:36:17 +0100

ros-message-generation (0.4.0-2) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * Update watch file
  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Move pkgconfig to share
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 19:08:40 +0200

ros-message-generation (0.4.0-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0
  * Refresh patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 11:03:54 +0200

=== debian/control ===
Source: ros-message-generation
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 12), catkin
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/ros-message-generation
Vcs-Git: https://salsa.debian.org/science-team/ros-message-generation.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/message_generation

Package: ros-message-generation
Architecture: all
Depends: ${misc:Depends}, python3-gencpp (>= 0.6.2-3), python3-genlisp (>= 0.4.17-3), python3-genmsg (>= 0.5.12-3), python3-genpy (>= 0.6.9-2)
Description: Generates build-time messaging dependencies for Robot OS packages
 This package is part of Robot OS (ROS). It contains cmake macros to
 generate build-time dependencies for the messages ROS packages use.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_install-indep:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-message-generation-$1.tar.gz%" \
    https://github.com/ros/message_generation/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-message-generation 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(message_generation)
 
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-message-generation (0.4.1-6) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 12:53:37 +0200

ros-message-generation (0.4.1-5) unstable; urgency=medium

  * Fix cross build (thanks Helmut)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 20:02:14 +0200

ros-message-generation (0.4.1-4) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 11:38:28 +0100

ros-message-generation (0.4.1-3) unstable; urgency=medium

  * Drop arch path from d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 13:30:44 +0200

ros-message-generation (0.4.1-2) unstable; urgency=medium

  * Remove empty usr/lib

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 09:39:07 +0200

ros-message-generation (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 09:27:25 +0200

=== debian/control ===
Source: ros-message-generation
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Section: devel
Priority: optional
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/ros-message-generation
Vcs-Git: https://salsa.debian.org/science-team/ros-message-generation.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/message_generation

Package: ros-message-generation
Architecture: all
Multi-Arch: foreign
# python3 without :any qualifier is needed for selecting the right architecture during cross build.
# we do this in order to be Multi-Arch foreign.
Depends:
 python3,
 python3-gencpp (>= 0.6.2-3),
 python3-genlisp (>= 0.4.17-3),
 python3-genmsg (>= 0.5.12-3),
 python3-genpy (>= 0.6.9-2),
 ${misc:Depends},
Description: Generates build-time messaging dependencies for Robot OS packages
 This package is part of Robot OS (ROS). It contains cmake macros to
 generate build-time dependencies for the messages ROS packages use.
